View Issue Details

IDProjectCategoryView StatusLast Update
0000012VANTED 2.6.4[VANTED] Corepublic2017-05-11 00:11
Reportertobias.nusserAssigned Todimitar.garkov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version[VANTED] 2.6.4 
Target Version[VANTED] 2.6.4Fixed in Version[VANTED] 2.6.4 
Summary0000012: MetaCrop - List of pathways Error
Description

If you want to get a list of pathways from the MetaCrop tab, Vanted responses with an Error. Server returned HTTP response code: 403

Steps To Reproduce

Pathways -> MetaCrop -> Get list of pathways

Additional Information

Error Message:

Thread: AWT-EventQueue-0 sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source) sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source) java.net.URL.openStream(Unknown Source) de.ipk_gatersleben.ag_nw.graffiti.plugins.gui.layout_control.metacrop.WebDirectoryFileListAccess.getWebDirectoryFileListItems(WebDirectoryFileListAccess.java:52) de.ipk_gatersleben.ag_nw.graffiti.plugins.gui.layout_control.metacrop.PathwayWebLinkTab$3.actionPerformed(PathwayWebLinkTab.java:190) javax.swing.AbstractButton.fireActionPerformed(Unknown Source) javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source) javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source) javax.swing.DefaultButtonModel.setPressed(Unknown Source) javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source) java.awt.Component.processMouseEvent(Unknown Source) javax.swing.JComponent.processMouseEvent(Unknown Source) java.awt.Component.processEvent(Unknown Source) java.awt.Container.processEvent(Unknown Source) java.awt.Component.dispatchEventImpl(Unknown Source) java.awt.Container.dispatchEventImpl(Unknown Source) java.awt.Component.dispatchEvent(Unknown Source) java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source) java.awt.LightweightDispatcher.processMouseEvent(Unknown Source) java.awt.LightweightDispatcher.dispatchEvent(Unknown Source) java.awt.Container.dispatchEventImpl(Unknown Source) java.awt.Window.dispatchEventImpl(Unknown Source) java.awt.Component.dispatchEvent(Unknown Source) java.awt.EventQueue.dispatchEventImpl(Unknown Source) java.awt.EventQueue.access$500(Unknown Source) java.awt.EventQueue$3.run(Unknown Source) java.awt.EventQueue$3.run(Unknown Source) java.security.AccessController.doPrivileged(Native Method) java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source) java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source) java.awt.EventQueue$4.run(Unknown Source) java.awt.EventQueue$4.run(Unknown Source) java.security.AccessController.doPrivileged(Native Method) java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source) java.awt.EventQueue.dispatchEvent(Unknown Source) org.graffiti.editor.GlobalHotkeyManager.dispatchEvent(GlobalHotkeyManager.java:65) java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source) java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source) java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source) java.awt.EventDispatchThread.pumpEvents(Unknown Source) java.awt.EventDispatchThread.pumpEvents(Unknown Source) java.awt.EventDispatchThread.run(Unknown Source)

Tagserror
Attach Tags
Traceability Screenshot & Stacktrace

Relationships

related to 0000015 resolveddimitar.garkov MetaCrop download URLs default to old link 

Activities

tobias.nusser

tobias.nusser

2017-05-09 19:36

updater  

pathways_error.PNG (68,269 bytes)
pathways_error.PNG (68,269 bytes)
dimitar.garkov

dimitar.garkov

2017-05-10 21:03

developer   ~0000010

Fixed server-side.

Issue History

Date Modified Username Field Change
2017-05-09 19:36 tobias.nusser New Issue
2017-05-09 19:36 tobias.nusser File Added: pathways_error.PNG
2017-05-09 19:36 tobias.nusser Tag Attached: error
2017-05-10 21:03 dimitar.garkov Assigned To => dimitar.garkov
2017-05-10 21:03 dimitar.garkov Status new => resolved
2017-05-10 21:03 dimitar.garkov Resolution open => fixed
2017-05-10 21:03 dimitar.garkov Fixed in Version => 2.6.4
2017-05-10 21:03 dimitar.garkov Note Added: 0000010
2017-05-10 21:04 administrator Product Version => 2.6.4
2017-05-10 21:04 administrator Target Version => 2.6.4
2017-05-11 00:11 dimitar.garkov Relationship added related to 0000015